test_i2c::I2C Class Reference
Inheritance diagram for test_i2c::I2C:

## Public Member Functions

| I2C (uint32_t clk=100000) noexcept
Public Member Functions inherited from utl::i2c_i< i2c_bb_i< I2C > >
uint32_t | clock () const
void | clock (uint32_t f)
| set clock frequency of the bus More...
void | start ()
| Send start functionality. More...
void | stop ()
| Send stop functionality. More...
byte_t | rx_data (bool ack, Sequence seq=Sequence::BYTEnACK)
| Receive a byte from the i2c bus. More...
bool | tx_data (byte_t byte, Sequence seq=Sequence::BYTEnACK)
| Transmit a byte to the i2c bus. More...

## Additional Inherited Members

Public Types inherited from utl::i2c_bb_i< I2C >
enum | SDAMode
| SDA pin direction enumerator. More...
using | type = i2c_bb_i< I2C >
| Export type as identity meta-function. More...
using | Sequence = typename i2c_i< type >::Sequence
Public Types inherited from utl::i2c_i< i2c_bb_i< I2C > >
enum | Sequence
| I2C transmit/receive sequence. More...
using | type = i2c_i< i2c_bb_i< I2C > >
Protected Member Functions inherited from utl::i2c_bb_i< I2C >
| ~i2c_bb_i () noexcept=default
| A default destructor, allow destructor from derived only. More...
| i2c_bb_i (uint32_t clk) noexcept
| A default constructor. More...
Protected Member Functions inherited from utl::i2c_i< i2c_bb_i< I2C > >
| i2c_i ()=default
| Allow constructor from derived only. More...
| i2c_i (const type &)=delete
| No copies. More...
| ~i2c_i ()=default
| Allow destructor from derived only. More...
type & | operator= (const type &)=delete

## Detailed Description

Definition at line 33 of file test_i2c_impl.cpp.

## Constructor & Destructor Documentation

## I2C()

test_i2c::I2C::I2C | ( | uint32_t | clk = `100000` | ) |

inlinenoexcept

Definition at line 50 of file test_i2c_impl.cpp.

The documentation for this class was generated from the following file:

- test/tests/test_i2c_impl.cpp